LibreOffice: XAutoTextContainer Interface Reference

LibreOffice LibreOffice 7.1 SDK API Reference

Public Member Functions | List of all members
XAutoTextContainer Interface Referencepublished

handles blocks of AutoTextEntry. More...

`import"XAutoTextContainer.idl";`

Inheritance diagram for XAutoTextContainer:

## Public Member Functions
com::sun::star::text::XAutoTextGroup | insertNewByName ([in] string aGroupName) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::ElementExistException )
| creates a new AutoText group. More...
void | removeByName ([in] string aGroupName) raises ( com::sun::star::container::NoSuchElementException )
| deletes the specified AutoText group. More...
Public Member Functions inherited from XNameAccess
any | getByName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
sequence< string > | getElementNames ()
boolean | hasByName ([in] string aName)
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

handles blocks of AutoTextEntry.

See also
  AutoTextContainer

## Member Function Documentation

## ◆ insertNewByName()

com::sun::star::text::XAutoTextGroup insertNewByName | ( | [in] string | aGroupName | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::container::ElementExistException
| ) |  |

creates a new AutoText group.

Parameters

  aGroupName | the name of the AutoTextContainer

The name must follow the pattern `groupname*pathid`, where:

- `groupname` should contain only alphanumeric characters (A-Za-z0-9), underscore (_) or space (0x20)
- an asterisk (*) delimiter separates the group name from the path identifier
- `pathid` is a number (0 or 1) identifying the directory where the AutoText file is stored. Paths are stored in the Office configuration and accessed through com::sun::star::util::PathSettings::AutoText.
  - 0 indicates the path of the Office Basis layer
  - 1 indicates the path of the user directory

If only `groupname` is specified, the path defaults to 0, the Office Basis layer.
Note that in some systems the user may lack of write access to the Office Basis directory.

Example:

- `standard*0`
  the "standard" AutoTextGroup in the Office Basis layer
- `template`
  the "template" AutoTextGroup in the Office Basis layer
- `mytexts*1`
  the "mytexts" AutoTextGroup in the user directory

## ◆ removeByName()

void removeByName | ( | [in] string | aGroupName | ) |
raises | ( | com::sun::star::container::NoSuchElementException
| ) |  |

deletes the specified AutoText group.

Parameters

  aGroupName | see the documentation for XAutoTextContainer::insertNewByName()

The documentation for this interface was generated from the following file:

- com/sun/star/text/XAutoTextContainer.idl